# $Revision: 1.25.2.1 $, $Date: 2006/06/27 00:06:28 $
Summary:	Daemon that terminates users idle sessions
Summary(pl):	Demon ktry koczy nieaktywne sesje uytkownikw
Name:		idled
Version:	1.16
Release:	9
License:	non-profit
Group:		Daemons
Source0:	http://www.darkwing.com/idled/download/%{name}-%{version}.tar.gz
# Source0-md5:	a633e9484acb904e1bf0ed43b8383033
Source1:	%{name}.init
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-utmp.patch
Patch4:		%{name}-yacc.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	/bin/mail
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Idled is a daemon that runs on a machine to keep an eye on current
users. If users have been idle for too long, or have been logged on
for too long, it will warn them and log them out appropriately.

%description -l pl
Idled jest demonem ktry pilnuje aktualnie zalogowanych uytkownikw.
Jeli uytkownik by nieaktywny przez odpowiednio dugi czas, lub by
za dugo zalogowany, idled ostrzee go i odpowiednio zakoczy sesj.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} clean
%{__make} \
	OPTFLAGS="%{rpmcflags} -DMAILMESSAGEFILE=\"%{_sysconfdir}/idled/logout.msg\""\
	LDFLAGS="%{rpmldflags}" \
	DEST="%{_sbindir}" \
	CFDEST="%{_sysconfdir}/idled" \
	MDEST="%{_mandir}" \
	LOGDEST="/var/log" \
	YACC="bison -y"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/idled,%{_mandir}/man{5,8},/var/log,/etc/rc.d/init.d}

install idled $RPM_BUILD_ROOT%{_sbindir}
install idled.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install idled.8 $RPM_BUILD_ROOT%{_mandir}/man8
mv -f idled.cf.template idled.conf.template

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/idled

touch $RPM_BUILD_ROOT/var/log/idled.log
touch $RPM_BUILD_ROOT%{_sysconfdir}/idled/logout.msg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/idled.log ]; then
	touch /var/log/idled.log
	chmod 640 /var/log/idled.log
fi
/sbin/chkconfig --add idled
%service idled restart

%preun
if [ "$1" = "0" ]; then
	%service idled stop
	/sbin/chkconfig --del idled
fi

%files
%defattr(644,root,root,755)
%doc idled.conf.template README TODO CHANGES COPYRIGHT
%dir %{_sysconfdir}/idled
%{_sysconfdir}/idled/logout.msg
%attr(755,root,root) %{_sbindir}/idled
%attr(754,root,root) /etc/rc.d/init.d/idled
%{_mandir}/man*/*
%attr(640,root,root) %ghost /var/log/idled.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: idled.spec,v $
Revision 1.25.2.1  2006/06/27 00:06:28  baggins
- rel 9
- allow much more lines in utmp file

Revision 1.25  2006/02/28 19:21:59  glen
- use %service, fixed %post script, rel 8

Revision 1.24  2005/06/17 22:48:14  zbyniu
- BR: flex

Revision 1.23  2005/06/14 06:58:00  baggins
- release 7
- changed R:mailx to R:/bin/mail
- STBR

Revision 1.22  2004/04/10 16:34:01  qboosh
- fixed build by lowering MAXUSERS in config patch; release 6

Revision 1.21  2004/03/29 12:04:17  jajcus
- Release: 5 for Ac

Revision 1.20  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.19  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:48:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/08/18 15:27:21  blues
- release 4 - new doc

Revision 1.16  2002/04/25 16:36:01  arturs
fixed a small typo

Revision 1.15  2002/03/27 11:18:22  qboosh
- use bison instead of byacc

Revision 1.14  2002/03/26 08:13:05  marcus
- addedd BR byacc

Revision 1.13  2002/03/02 08:02:10  kloczek
- cosmetics.

Revision 1.12  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/22 13:53:12  qboosh
- s/Copyright/License/

Revision 1.9  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.5  2000/11/21 15:00:17  baggins
- release 3
- added utmp patch (use ut* glibc calls)
- added -DHAVE_UTMPX to CFLAGS

Revision 1.4  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/27 11:18:01  zagrodzki
- fixed logout.msg directory

Revision 1.2  2000/05/26 23:25:44  kloczek
- release 2,
- standarized %preun (down idled service only when /var/lock/subsys/idled file
  exist).

Revision 1.1  2000/05/26 13:50:40  zagrodzki
- initial release
